MOLOTOV(1)

NAME
molotov - Create a bootable media from a Windows iso image.

DESCRIPTION
Molotov is a command line utility designed to create a bootable USB drive using a Windows ISO image. To use Molotov, you'll need a flash drive with sufficient storage space and a Windows image which can be obtained by downloading it from Microsoft's website. - You need to have root access in order to perform the USB drive creation. - Bear in mind that ALL data in your device will be deleted!

SYNOPSIS

    molotov -i <iso-image> -d <block-device> [OPTIONS]

EXAMPLE

    molotov -i Win10_22H2_BrazilianPortuguese_x64v1.iso -d /dev/sdc -v -u

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (--). A summary of options is included below.

-i, --iso-image FILE
    Iso image to be used in the media creation

-d, --device DEVICE
    Device where the image must be burnt, it must be a block device

-h, --help
    Display the help message

-v, --verbose
    Turn on verbose output

-V, --version
    Print molotov's version and exit

-u, --uefi
    Make an uefi-bootable media (default is legacy)

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

EXIT VALUES

0   Success!

1   Some crucial internal function exited with the status 1, such as mkfs.ntfs or fdisk

2   Some crucial internal function exited with the status 2, such as mkfs.ntfs or fdisk

64  Unknown parameter

65  Missing required arguments, it happens when the user omits either the -i or -d flag

66  Iso image not found, when the user passes as argument a non-existent ISO image

67  Block device not found, when the user passes as argument a non-existent device

68  Indicates insufficient permissions to perform the requested operation. Commonly occurs when attempting to write to a device that requires administrative privileges (root access). Common causes: - The current user does not have write access to the target device - Device ownership is limited to root - The user is not root

REPORTING BUGS
Report bugs to <https://codeberg.org/cizordj/molotov>

COPYRIGHT
Copyright © Cézar Augusto de Campos License: GPL-3+